KABCCLIENT(1)

NAME
kabcclient - cliente de línea de órdenes para la libreta de direcciones de KDE

SYNOPSIS

kabcclient [-A | -R | -M | -S | -L] [--match-case] [--nosave] [-ic codec] [-if formato] [-if-opts opciones de formato] [-oc codec] [-of formato] [-of-opts opciones de formato] [input-data]

DESCRIPCIóN

kabcclient permite acceso mediante línea de órdenes a la libreta de direcciones de KDE, por ejemplo en guiones de shell. Admite entrada desde stdin a través de argumentos adicionales en la línea de órdenes. La salida se escribirá siempre en stdout.

OPCIONES

Modos de operación

    -A, --add
        Añadir un nuevo contacto a la libreta de direcciones

    -R, --remove
        Elimina un contacto existente en la libreta de direcciones

    -M, --merge
        Combina los datos de entrada con un contacto existente en la libreta de direcciones. Esto añade la nueva información a a la ya existente

    -S, --search
        Busca en la libreta de direcciones los contactos que coincidan con los datos introducidos

    -L, --list
        Muestra todos los contactos de la libreta de direcciones

Opciones de entrada

    -ic, --input-codec
        Codifica el texto introducido mediante una codificación establecida. Mirar -ic ayuda para información adicional sobre codificadores de entrada. Por defecto local es el que usará el codificador para las preferencias actuales de locale(5)

    -if, --input-format
        Formatea el texto introducido de acuerdo a las reglas de formato proporcionadas. Mirar -if ayuda para los formatos disponibles. Por defecto es buscar

    En lugar de leer el texto introducido, kabcclient puede mostrar un diálogo para seleccionar los contactos usando el formato de entrada
        diálogo

    -if-opts, --input-format-options
        Opciones adicionales para el formato de entrada seleccionado. Puede ser opcional, al igual que el mandato dependiendo del formato. Mirar -if-opts ayuda para las opciones de los formatos disponibles

Opciones de salida

    -oc, --output-codec
        Codifica el texto de salida mediante una codificación establecida. Mirar -oc help para información adicional sobre los codificadores actuales. Por defecto local es el codificador que se usará para las preferencias actuales de locale(5).

    -of, --output-format
        Formatos de texto de salida de acuerdo a las reglas proporcionadas. Mirar -of ayuda para los formatos disponibles. Por defecto es vcard

    -of-opts, --output-format-options
        Opciones adicionales para el formato de salida elegido. Puede ser opcional, al igual que el mandato, dependiendo del formato. Ver -of-opts help para las opciones de formato disponibles

Opciones adicionales

    --match-case
        Usa la coincidencia sensible de texto, al comprar el texto introducido con los contactos

    --nosave
        Realiza operaciones de cambio de información como -A, -R o -M, únicamente en memoria, pero no escribe los cambios en la libreta de direcciones

DIAGNóSTICOS

Como de costumbre, un estado de salida 0, indica éxito. Dependiendo del modo de operación escogida, un estado de salida distinto de 0, indica que la aplicación ha detectado un problema

Añadir

    1   Error al leer el texto introducido

    2   Fallo al crear una entrada de contacto correcta a partir del texto introducido. e.g. sin datos o formato incorrecto del texto de entrada para el formato de entrada escogido

    3   Error al guardar los cambios en la libreta de direcciones. Esto puede deberse, por ejemplo, a que actualmente, hay otras aplicaciones bloqueando la libreta de direcciones.

REMOVE

    1   Error al leer el texto introducido

    2   El programa podría no eliminar contactos de la libreta de direcciones. Esto puede estar causado por error al parchear el texto introducido, fallo al encontrar el contacto en la libreta de direcciones o al encontrar más de un contacto idéntico en la libreta de direcciones. En el último caso, un mensaje de error se escribirá en stderr

    3   Error al guardar los cambios en la libreta de direcciones. Esto puede deberse, por ejemplo, a que actualmente, hay otras aplicaciones bloqueando la libreta de direcciones.

MERGE

    1   Error al leer el texto introducido

    2   El programa podría no combinar lo introducido con ningún contacto de la libreta de direcciones. Esto puede estar causado por fallo al parchear el texto introducido, fallo al encontrar el contacto en la libreta de direcciones o al encontrar más de una coincidencia. En el último caso, un mensaje de error se escribirá en stderr

    3   Error al guardar los cambios en la libreta de direcciones. Esto puede deberse, por ejemplo, a que actualmente, hay otras aplicaciones bloqueando la libreta de direcciones.

    SEARCH, 1
        Error al leer el texto introducido

    2   El programa podría no encontrar ninguna coincidencia de contacto en la libreta de direcciones. Esto puede estar causado por fallo al parchear el texto introducido, o fallo al encontrar el contacto en la libreta de direcciones

EJEMPLOS

Buscar entradas de contacto con «Joe» en el nombre o en la dirección de correo
kabcclient -S Joe

Hacer lo mismo usando coincidencia sensible
kabcclient --match-case -S Joe

Hacer lo mismo leyendo el texto introducido de stdin
echo «Joe» | kabcclient --match-case -S

Intente añadir un nuevo contacto utilizando información de una dirección de correo con formato
kabcclient --nosave --add -if email «Marilyn Monroe <mmonroe@moviestars.com>»

Hacer lo mismo, guardando la libreta de direcciones modificada
kabcclient --add -if email «Marilyn Monroe <mmonroe@moviestars.com>»

Mostrar los formatos de entrada disponibles
kabcclient -if help

Mostrar los formatos de salida disponibles
kabcclient -of help

Mostrar las opciones disponibles para el formato de salida «correo»
kabcclient -of email -of-opts help

Mostrar todas las direcciones de correo electrónico de todos los contactos que contengan «Marilyn»
kabcclient -of email -of-opts allemails -S Marilyn

Eliminar todos los contactos seleccionados en el diálogo de selección de contactos
kabcclient --remove -if dialog

Exportar los contactos seleccionados a archivo de tipo VCard (formato de salida por defecto)
kabcclient -S -if dialog > contacts.vcf

AUTOR

Este manual ha sido escrito por Kevin Krammer <kevin.kramer@gmx.at>. Se permite la copia, distribución y/o modificación de este documento bajo los términos de la GNU General Public License, Versión 2 cualquier versión más reciente publicada por la Free Software Foundation.

En sistemas Debian, el texto completo de la GNU General Public License puede encontrarse en /usr/share/common-licenses/GPL.